## org.codehaus.plexus.logging
Class AbstractLoggerManager

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLoggerManager

All Implemented Interfaces:
  LoggerManager

    public abstract class AbstractLoggerManager

extends java.lang.Object
implements LoggerManager

Version:
  $Id: AbstractLoggerManager.java 4796 2006-11-23 21:24:11Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

Field Summary

Fields inherited from interface org.codehaus.plexus.logging.LoggerManager
`ROLE`

Constructor Summary
`AbstractLoggerManager()`

Method Summary
`Logger` `getLoggerForComponent(java.lang.String role)`
`int` `getThreshold(java.lang.String role)`
`void` `returnComponentLogger(java.lang.String role)`
`void` `setThreshold(java.lang.String role, int threshold)`
`protected java.lang.String` `toMapKey(java.lang.String role, java.lang.String roleHint)` Creates a string key useful as keys in `Map`'s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.plexus.logging.LoggerManager
`getActiveLoggerCount, getLoggerForComponent, getThreshold, getThreshold, returnComponentLogger, setThreshold, setThreshold, setThresholds`

Constructor Detail

### AbstractLoggerManager

    public AbstractLoggerManager()

Method Detail

### setThreshold

    public void setThreshold(java.lang.String role,
                             int threshold)

  Specified by:
    `setThreshold` in interface `LoggerManager`

### getThreshold

    public int getThreshold(java.lang.String role)

  Specified by:
    `getThreshold` in interface `LoggerManager`

### getLoggerForComponent

    public Logger getLoggerForComponent(java.lang.String role)

  Specified by:
    `getLoggerForComponent` in interface `LoggerManager`

### returnComponentLogger

    public void returnComponentLogger(java.lang.String role)

  Specified by:
    `returnComponentLogger` in interface `LoggerManager`

### toMapKey

    protected java.lang.String toMapKey(java.lang.String role,
                                        java.lang.String roleHint)

  Creates a string key useful as keys in `Map`'s.

  Parameters:
    `role` - The component role.
    `roleHint` - The component role hint.
  Returns:
    Returns a string thats useful as a key for components.

Copyright © 2011. All Rights Reserved.